aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSerkan Kaba <serkan@gentoo.org>2008-06-26 18:33:05 +0000
committerSerkan Kaba <serkan@gentoo.org>2008-06-26 18:33:05 +0000
commite011976d1b4d4b71270b41258b9ffef617d3bfc5 (patch)
tree16ed79499facc22b7cd4c0d383711c4434ba1187 /media-sound/tuxguitar
parentAdd IcedTea6 ebuild (finally) (diff)
downloadjava-e011976d1b4d4b71270b41258b9ffef617d3bfc5.tar.gz
java-e011976d1b4d4b71270b41258b9ffef617d3bfc5.tar.bz2
java-e011976d1b4d4b71270b41258b9ffef617d3bfc5.zip
Version bump. Thanks to all people on bug #144967.
svn path=/java-overlay/; revision=6351
Diffstat (limited to 'media-sound/tuxguitar')
-rw-r--r--media-sound/tuxguitar/ChangeLog5
-rw-r--r--media-sound/tuxguitar/Manifest4
-rw-r--r--media-sound/tuxguitar/tuxguitar-1.0.ebuild136
3 files changed, 143 insertions, 2 deletions
diff --git a/media-sound/tuxguitar/ChangeLog b/media-sound/tuxguitar/ChangeLog
index b37dd21f..2bb9fe27 100644
--- a/media-sound/tuxguitar/ChangeLog
+++ b/media-sound/tuxguitar/ChangeLog
@@ -1,7 +1,10 @@
# ChangeLog for media-sound/tuxguitar
-# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 26 Jun 2008; Serkan Kaba <serkan@gentoo.org> +tuxguitar-1.0.ebuild:
+ Version bump. Thanks to all people on bug #144967.
+
20 Sep 2007; <alistair@gentoo.org> +tuxguitar-0.9.1-r2.ebuild:
Updated to add packages dir to classpath
diff --git a/media-sound/tuxguitar/Manifest b/media-sound/tuxguitar/Manifest
index f1d1153e..4b2e966c 100644
--- a/media-sound/tuxguitar/Manifest
+++ b/media-sound/tuxguitar/Manifest
@@ -1,5 +1,7 @@
DIST TuxGuitar-0.9.1-src.tar.gz 584005 RMD160 2698e7243ab06a0fd8be2094038dd14d583a50bb SHA1 689a2a47c375a6ee58a33d7f5e8a94e207f01870 SHA256 c4e3832e4e4befdfcd86860440b51522409bc90436e4027f4c0581217c53f62c
+DIST tuxguitar-src-1.0.tar.gz 2335631 RMD160 512436d255b010551d34aae163a141662d9f9539 SHA1 9b289414f5b7f6bd8dd3dd85c701097c3b798f1f SHA256 422336d69994c5041331ac95fc899e91e929b4a224910f75b4acd7cfd6f85c8a
EBUILD tuxguitar-0.9.1-r1.ebuild 1465 RMD160 07ec215ef9bc117ae789f5dfaab003fd6bb19248 SHA1 c72b3982450b094e2a9e67183ef38a041f9853a0 SHA256 0d9ee98036726353d2b5ad9b07a7d0e3840c078fdb5a0e030b4bc4ad38c5c44f
EBUILD tuxguitar-0.9.1-r2.ebuild 1460 RMD160 1047a4fd35fbc57321d33a7a65b7c22530d43448 SHA1 c7f8edc8864bc6739b8aa0a5af2d762ec132cd17 SHA256 f9057ca56680e6566974a7e61727139ddabe4b67ffdbe9035f7defe132135615
EBUILD tuxguitar-0.9.1.ebuild 1421 RMD160 fef1f17b1ccc50c3a71126287f0a3463f9951409 SHA1 464a2899d495f8a24d3313d7839bad2bc7fe4d20 SHA256 2b8d13c1171a0e5bb0f4106c84642f789d74303f5d5f51abea3377bd608168ad
-MISC ChangeLog 367 RMD160 bd5a8addea4613c3902585e2d22ff3e78c2dddf9 SHA1 c0ad46426ab028d53c6a58a05686e582d41c228c SHA256 fdb9334f8ee87c2f2393a4336342f052766d0c3394d313276d010b3ba0939794
+EBUILD tuxguitar-1.0.ebuild 3734 RMD160 63b54e827448f2abfe034d1fdf8a168cb8fe24bc SHA1 d81bf815133ec6c1ba0a48e3e3c4911994fb88e1 SHA256 3e5d9f25c66f3570717fcfac3db0c916711e9076c6140496ea8456f286b415f7
+MISC ChangeLog 491 RMD160 975f728a18ef49dbeb796e1a4d84ab3c95d79e43 SHA1 c95d67dd666e7cd62b1a2cfa19a567d1f78393a9 SHA256 5be0f4bbab4002007a7226d2bb1ef2ab61c25c862c1ddb9499d4a470ca6aab8c
diff --git a/media-sound/tuxguitar/tuxguitar-1.0.ebuild b/media-sound/tuxguitar/tuxguitar-1.0.ebuild
new file mode 100644
index 00000000..66225482
--- /dev/null
+++ b/media-sound/tuxguitar/tuxguitar-1.0.ebuild
@@ -0,0 +1,136 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=1
+JAVA_PKG_IUSE="source"
+
+inherit eutils java-pkg-2 java-ant-2 toolchain-funcs flag-o-matic fdo-mime gnome2-utils
+
+MY_P="${PN}-src-${PV}"
+DESCRIPTION="TuxGuitar is a multitrack guitar tablature editor and player written in Java-SWT"
+HOMEPAGE="http://www.tuxguitar.com.ar/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="alsa fluidsynth oss pdf"
+
+# Test notes
+# Couldn't test ftp plugin.
+# Couldn't play midi files exported by midi plugin.
+# Couldn't get JSA plugin working out of the box with IcedTea.
+
+KEYWORDS="~amd64"
+# FIXME: Are these X dependencies really needed to be here explicitly?
+CDEPEND="virtual/libc
+ || ( ( x11-libs/libXxf86vm
+ x11-libs/libXext
+ x11-libs/libX11
+ ) virtual/x11 )
+ dev-java/swt:3
+ alsa? ( media-libs/alsa-lib )
+ fluidsynth? ( media-sound/fluidsynth )
+ pdf? ( dev-java/itext:0 )"
+RDEPEND=">=virtual/jre-1.5
+ alsa? ( media-sound/timidity++ )
+ oss? ( media-sound/timidity++ )
+ ${CDEPEND}"
+
+DEPEND=">=virtual/jdk-1.5
+ ${CDEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+ if ! built_with_use 'dev-java/swt' 'cairo'; then
+ eerror "You must build dev-java/swt with cairo support"
+ die "dev-java/swt built without cairo"
+ fi
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"/TuxGuitar/lib || die
+ java-pkg_jar-from swt-3
+}
+
+src_compile() {
+ if use pdf; then
+ echo "" >> TuxGuitar-pdf/build.properties || die
+ echo "path.itext=$(java-pkg_getjar itext iText.jar)" >> TuxGuitar-pdf/build.properties || die "Error adding itext path"
+ echo "path.swt=$(java-pkg_getjar swt-3 swt.jar)" >> TuxGuitar-pdf/build.properties || die "Error adding swt path"
+ fi
+ cd TuxGuitar || die "cd failed"
+ eant all
+ for plugin in $(list_plugins); do
+ plugin_compile $plugin
+ done
+}
+
+src_install() {
+ cd TuxGuitar || die "cd failed"
+ java-pkg_dojar tuxguitar.jar
+ use source && java-pkg_dosrc src/org
+ # TODO: Decide if plugin sources should be installed
+ java-pkg_dolauncher ${PN} \
+ --main org.herac.tuxguitar.gui.TGMain \
+ --java_args "-Xms128m -Xmx128m"
+ # Images and Files
+ insinto /usr/share/${PN}/lib
+ doins -r share || die "doins failed"
+ java-pkg_sointo /usr/share/${PN}-${SLOT}/lib/lib
+ for plugin in $(list_plugins); do
+ plugin_install $plugin
+ done
+ doman "${S}/misc/${PN}.1" || die "doman failed"
+ insinto /usr/share/mime/packages
+ doins "${S}/misc/${PN}.xml"
+ doicon "${S}/misc/${PN}.xpm" || die "doicon failed"
+ domenu "${S}/misc/${PN}.desktop" || die "domenu failed"
+
+
+}
+
+plugin_compile() {
+ cd "${S}"/TuxGuitar-${1} || die
+ eant all
+ if [[ -d jni ]]; then
+ append-flags "-I${JAVA_HOME}/include/ -I${JAVA_HOME}/include/linux"
+ cd jni || die "\"cd jni\" failed"
+ CC=$(tc-getCC) emake || die "emake failed"
+ fi
+}
+
+plugin_install() {
+ cd "${S}"/TuxGuitar-${1} || die
+ local TUXGUITAR_INST_PATH=/usr/share/${PN}/lib
+ local BINARY_NAME=tuxguitar-${1}
+ insinto ${TUXGUITAR_INST_PATH}/share/plugins
+ doins ${BINARY_NAME}.jar || die "doins ${BINARY_NAME}.jar failed"
+ #TuxGuitar has its own classloader. No need to register the plugins.
+
+ if [[ -d jni ]]; then
+ java-pkg_doso jni/lib${BINARY_NAME}-jni.so
+ fi
+}
+
+#Return list of plugins to compile/install
+list_plugins() {
+ echo \
+ $(usev alsa) ascii browser-ftp compat converter $(usev fluidsynth) gtp \
+ jsa lilypond midi musicxml $(usev oss) $(usev pdf) ptb tef tray
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+ if use fluidsynth; then
+ ewarn "Fluidsynth plugin blocks behavior of JSA plugin."
+ ewarn "Enable only one of them in \"Tools > Plugins\""
+ fi
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}